安装code:blocks时遇到的问题

为当前最终发行版之前的所有版本提供支持
回复
头像
admin_xyz
帖子: 199
注册时间: 2012-05-26 8:33
系统: Ubuntu 12.04
送出感谢: 14 次
接收感谢: 0

安装code:blocks时遇到的问题

#1

帖子 admin_xyz » 2013-03-21 19:52

如题,从官网上下载了 code::blocks的tar.bz2包,到机器上

tar xf codeblocks-dbg_12.11-1_i386-debian-testing.tar.bz2

把它解压出来, 解压出两个deb包, 双击打开安不了, 提示 " Dependency is not satisfiable:codeblocks"

Error
This package extends codeblocks functionlity a great deal with the included plugins. These are :

....

... 这貌似是一推code::blocks的组件.


------------------------------------------------------------

上面是缺一些依赖的意思吗, 需要怎么做
应该不是跟内核有关吧...我还是uname -a 下吧
LInux 3.5.0-23-generic #35~precise1-ubuntu smp fri jan 25
头像
cuihao
帖子: 4793
注册时间: 2008-07-24 11:33
来自: 郑州
送出感谢: 1 次
接收感谢: 89 次
联系:

Re: 安装code:blocks时遇到的问题

#2

帖子 cuihao » 2013-03-21 19:54

为什么不用源里的?
再说,用什么dbg的啊?
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~
头像
b33e
论坛版主
帖子: 3866
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 安装code:blocks时遇到的问题

#3

帖子 b33e » 2013-03-21 19:55

从源里安装 :em01
头像
admin_xyz
帖子: 199
注册时间: 2012-05-26 8:33
系统: Ubuntu 12.04
送出感谢: 14 次
接收感谢: 0

Re: 安装code:blocks时遇到的问题

#4

帖子 admin_xyz » 2013-03-21 21:47

我忘说了,台式机没联网. 只能下载安装包.
头像
cuihao
帖子: 4793
注册时间: 2008-07-24 11:33
来自: 郑州
送出感谢: 1 次
接收感谢: 89 次
联系:

Re: 安装code:blocks时遇到的问题

#5

帖子 cuihao » 2013-03-21 22:14

离线安装,依赖很麻烦。

你先 apt-get install codeblocks,记下来所有依赖的包,然后到 http://packages.ubuntu.com 搜索并下载,回去安装。
求人不如求它仨: 天蓝的Wiki 屎黄的Wiki 绿
Site: CUIHAO.TK    Twitter: @cuihaoleo
Machine: Athlon64 X2 5200+ / 2x2GB DDR2-800 / GeForce GTS 450
AD: ~まだ見ぬ誰かの笑顔のために~
头像
b33e
论坛版主
帖子: 3866
注册时间: 2011-06-07 14:20
系统: Mint18
送出感谢: 16 次
接收感谢: 62 次

Re: 安装code:blocks时遇到的问题

#6

帖子 b33e » 2013-03-21 22:31

系统对网络的依赖很强
头像
asean
帖子: 164
注册时间: 2012-09-23 13:19
系统: ubuntu 12.04
送出感谢: 28 次
接收感谢: 0

Re: 安装code:blocks时遇到的问题

#7

帖子 asean » 2013-03-21 22:39

我记得自带的软件中心里可以搜到直接安装
头像
lainme
论坛版主
帖子: 7805
注册时间: 2008-09-13 19:17
系统: Arch Linux (x86_64)
送出感谢: 3 次
接收感谢: 68 次
联系:

Re: 安装code:blocks时遇到的问题

#8

帖子 lainme » 2013-03-22 16:52

apt-get 可以输出所以依赖包的列表,然后用这个列表去下载。很多下载软件都有批量的功能

http://www.tuxradar.com/answers/517
回复

回到 “老旧版本支持”